From 85981e22ccea81d777aa80c8c8761bdeeaff86ef Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Sun, 29 Sep 2019 21:11:11 +0200
Subject: [PATCH] Allow the nanosleep syscall, it is used in kore_accesslog().

---
 src/seccomp.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/seccomp.c b/src/seccomp.c
index 7c28985d..e2846ed2 100644
--- a/src/seccomp.c
+++ b/src/seccomp.c
@@ -69,6 +69,7 @@ static struct sock_filter filter_kore[] = {
 	KORE_SYSCALL_ALLOW(getuid),
 	KORE_SYSCALL_ALLOW(geteuid),
 	KORE_SYSCALL_ALLOW(exit_group),
+	KORE_SYSCALL_ALLOW(nanosleep),
 
 	/* Memory related. */
 	KORE_SYSCALL_ALLOW(brk),
